# Class ClassCastException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.ClassCastException

All Implemented Interfaces:
  `Serializable`

public class ClassCastException extends RuntimeException
Thrown to indicate that the code has attempted to cast an object to a subclass of which it is not an instance. For example, the following code generates a `ClassCastException`:

>          Object x = Integer.valueOf(0);
>          System.out.println((String)x);

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassCastException()`
Constructs a `ClassCastException` with no detail message.
`ClassCastException(String s)`
Constructs a `ClassCastException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassCastException

public ClassCastException()
Constructs a `ClassCastException` with no detail message.

### ClassCastException

public ClassCastException(String s)
Constructs a `ClassCastException` with the specified detail message.

Parameters:
  `s` - the detail message.